{
  "name": "htymusic",
  "version": "0.0.1",
  "private": true,
  "scripts": {
    "build": "vite build",
    "build:moicen": "mode=moicen vite build",
    "build:huiwing": "mode=huiwing vite build",
    "test": "jest",
    "start": "vite --host",
    "start:moicen": "mode=moicen vite --host",
    "start:huiwing": "mode=huiwing vite --host",
    "typecheck": "vuedx-typecheck ."
  },
  "dependencies": {
    "@authcore/commons": "file:../AuthCoreJS",
    "@fullcalendar/bootstrap5": "^6.1.10",
    "@fullcalendar/core": "^6.1.10",
    "@fullcalendar/daygrid": "^6.1.10",
    "@fullcalendar/interaction": "^6.1.10",
    "@fullcalendar/timegrid": "^6.1.10",
    "@fullcalendar/vue3": "^6.1.10",
    "@geoman-io/leaflet-geoman-free": "^2.14.2",
    "@tensorflow/tfjs": "^4.4.0",
    "@types/leaflet": "^1.7.5",
    "@vue-flow/core": "^1.41.7",
    "@vueuse/core": "^11.0.0",
    "axios": "^1.8.4",
    "copy-text-to-clipboard": "^3.0.1",
    "crypto-js": "^4.1.1",
    "dayjs": "^1.10.7",
    "leaflet": "^1.9.1",
    "marked": "^16.3.0",
    "opensheetmusicdisplay": "^1.5.3",
    "tui-color-picker": "^2.2.8",
    "tui-image-editor": "^3.15.3",
    "vant": "^4.8.3",
    "vue": "^3.2.45",
    "vue-router": "^4.0.11",
    "weixin-js-sdk": "^1.6.0"
  },
  "devDependencies": {
    "@types/crypto-js": "^4.0.2",
    "@types/jest": "^29.0.3",
    "@types/marked": "^6.0.0",
    "@types/mockjs": "^1.0.4",
    "@types/node": "^22.3.0",
    "@vitejs/plugin-vue": "^5.0.0",
    "@vue/cli-plugin-unit-jest": "^5.0.8",
    "@vue/compiler-sfc": "^3.2.12",
    "@vue/test-utils": "^2.0.0-rc.14",
    "@vue/vue3-jest": "^29.0.0",
    "@vuedx/typecheck": "^0.7.4",
    "@vuedx/typescript-plugin-vue": "^0.7.4",
    "jest": "^29.0.3",
    "jest-environment-jsdom": "^29.0.3",
    "less": "^4.1.1",
    "mockjs": "^1.1.0",
    "ts-jest": "^29.0.0",
    "typescript": "^5.0.4",
    "vconsole": "^3.10.1",
    "vite": "5.4.1",
    "vite-plugin-mock": "^3.0.0",
    "vite-plugin-vconsole": "^2.0.0"
  },
  "engines": {
    "node": ">=20"
  }
}
